/****** Object:  StoredProcedure [dbo].[spEinzeldarstellung_HauptKNE_SVB]    Script Date: 19.09.2019 18:05:50 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- alter============================================
ALTER PROCEDURE [dbo].[spEinzeldarstellung_HauptKNE_SVB] 
	@EngagementID nvarchar(17)  
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     P.EngagementID, P.Gewichtete_Bonitaet, 
           isnull(cast(tabKreditnehmer.kn_o_rechts as nvarchar(25)),'diverse') as KN_O_Rechts  
FROM       tabPruefungsfall AS P left outer JOIN
          tabKN_Risiko AS V ON P.EngagementID = V.EngagementID left outer JOIN
          tabKreditnehmereinheit ON V.KNEID = tabKreditnehmereinheit.KNEID left outer JOIN
          tabKreditnehmer ON tabKreditnehmereinheit.KNEID = tabKreditnehmer.KNID
WHERE     (P.EngagementID = @EngagementID)
GROUP BY P.EngagementID, P.Gewichtete_Bonitaet, tabKreditnehmer.kn_o_rechts 
END
GO

/****** Object:  StoredProcedure [dbo].[spVorjahrSVB]    Script Date: 19.09.2019 18:09:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spVorjahrSVB] 
    @HauptKNEID nvarchar(27) 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     P.EngagementID, P.PruefungsID, R.RisikoKZ, P.Kurzbeurteilung, P.PFFazit, RIGHT(P.RNR, 15) AS Risikoeinheit, P.SPKRechtl_Blanko_in, P.SPKRechtl_Blanko_wi, 
                      P.Wirtschaftlich_bewertbare_Sicherheiten_in, P.Wirtschaftlich_bewertbare_Sicherheiten_wi, P.Wirtschaftlich_Blanko_in, P.Wirtschaftlich_Blanko_wi, 
					  P.Gewichtete_Bonitaet, 
                      P.PFLimit, P.PFInAn, P.SPKRecht_nicht_Blanko_in, P.SPKRecht_nicht_Blanko_wi, P.ewb_drohverlustrueckstellungen 
FROM         tabRisikogruppe AS R RIGHT OUTER JOIN
                      tabPruefungsfall AS P ON R.RID = P.Risikogruppe
                      WHERE     (P.Hauptkneid = @HauptKNEID)
END
GO

Update _tabVersion set DBVersion = '5.83', DBDate = '19.09.2019'
GO