

/****** Object:  StoredProcedure [dbo].[spEinzeldarstellung_EinzelKN_SVB]    Script Date: 30.10.2019 18:02:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- alter============================================
Create PROCEDURE [dbo].[spEngagementbogen] 
	@EngagementID nvarchar(17)  
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        KN.KNID, KN.KN, KN.kn_rating_datum, KN.kn_name, KN.kn_berater, KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, 
                         KN.kn_rueckgabenanzahl, KN.kn_rueckgabenbetrag, dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, CASE WHEN kn.kn_rating_methode IS NOT NULL 
                         THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, V.GBR_Quote, KN.kn_bew_rahmen_le, KN.Kn_Guthaben
FROM            tabKN_Risiko AS V INNER JOIN
                         tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         tabPruefungsfall ON V.EngagementID = tabPruefungsfall.EngagementID
						 where tabPruefungsfall.EngagementID = @EngagementID
						 ;
END
GO

/****** Object:  StoredProcedure [dbo].[spDokumente4BereichundSortierung]    Script Date: 31.10.2019 10:28:42 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[spDokumente5BereichundSortierung]
@ZugehoerigerKey nvarchar(50)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
Select        tabPruefungsfall.HauptKNEName + ' - ' + KAT.Katalogname + ' ' + K.KategorieKZ + ' ' + H.HandlungsKZ + ' ' + H.HStichwort AS Bereich,         
'005' + tabPruefungsfall.HauptKNEName + K.KategorieKZ + H.HandlungsKZ AS Sortierung, '' AS Besonderheit
FROM            tabKategorie AS K INNER JOIN
                         tabHandlungen AS H ON K.KID = H.KID AND K.EngagementID = H.EngagementID INNER JOIN
                         tabPruefungsfall INNER JOIN
                         tabKataloge AS KAT ON tabPruefungsfall.EngagementID = KAT.EngagementID ON K.KATID = KAT.KATID 
						 AND K.EngagementID = KAT.EngagementID
						 Where H.HID = @ZugehoerigerKey
END
GO
















Update _tabversion set DBVersion = '5.94', DBDate = '04.11.2019'
GO
